<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="top.continew.admin.user.mapper.TgUserMapper">
    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="top.continew.admin.user.model.entity.TgUser">
        <id column="id" property="id"/>
        <result column="tg_id" property="tgId"/>
        <result column="tg_account" property="tgAccount"/>
        <result column="first_name" property="firstName"/>
        <result column="last_name" property="lastName"/>
        <result column="nickname" property="nickname"/>
        <result column="real_name" property="realName"/>
        <result column="avatar" property="avatar"/>
        <result column="language_code" property="languageCode"/>
        <result column="wallet_address" property="walletAddress"/>
        <result column="age_limit" property="ageLimit"/>
        <result column="old_user" property="oldUser"/>
        <result column="check_language" property="checkLanguage"/>
        <result column="login_ip" property="loginIp"/>
        <result column="login_time" property="loginTime"/>
        <result column="ip_address_convert" property="ipAddressConvert"/>
        <result column="disable_flag" property="disableFlag"/>
        <result column="channel" property="channel"/>
        <result column="passenger_flow_way" property="passengerFlowWay"/>
        <result column="login_telegram" property="loginTelegram"/>
        <result column="coin_address" property="coinAddress"/>
        <result column="password" property="password"/>
        <result column="mobile" property="mobile"/>
        <result column="sex" property="sex"/>
        <result column="invite_code" property="inviteCode"/>
        <result column="referrer_id" property="referrerId"/>
        <result column="invite_reward" property="inviteReward"/>
        <result column="new_user_flag" property="newUserFlag"/>
        <result column="history_key" property="historyKey"/>
        <result column="key_num" property="keyNum"/>
        <result column="airdrop_coin" property="airdropCoin"/>
        <result column="gold_coin_amount" property="goldCoinAmount"/>
        <result column="gold_coin_total_his" property="goldCoinTotalHis"/>
        <result column="development_gold_coin" property="developmentGoldCoin"/>
        <result column="online_time" property="onlineTime"/>
        <result column="user_amount" property="userAmount"/>
        <result column="created_time" property="createdTime"/>
        <result column="updated_time" property="updatedTime"/>
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, tg_id, tg_account, first_name, last_name, nickname, real_name, avatar, language_code, wallet_address, age_limit, old_user, check_language, login_ip, login_time, ip_address_convert, disable_flag, channel, login_telegram, coin_address, password, mobile, sex, invite_code, referrer_id, invite_reward, new_user_flag, history_key, key_num, airdrop_coin, gold_coin_amount, gold_coin_total_his, development_gold_coin, online_time, user_amount, created_time, updated_time
    </sql>
</mapper>
